LogHarbour: logging - Task #17937

WSC: show_activitylog()
15/02/2024 10:04 AM - Sachin Divekar

Status: Closed Start date: 18/03/2024
Priority: Normal Due date: 18/03/2024
Assignee: Tushar Bhingare % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 15 Mar

Description

Related issues:
Follows LogHarbour: logging - Task #18066: Go lib: GetLogs() Closed 15/03/2024

History

#1 - 18/02/2024 03:15 AM - Shuvam Misra
- Target version set to Sprint 29 Feb

#2 - 20/02/2024 07:18 PM - Tushar Bhingare
- Estimated time set to 4.00 h
- Assignee set to Tushar Bhingare

- Status changed from New to In Progress

I've just begun learning Elasticsearch by pulling a Docker image.

#3 - 21/02/2024 06:48 PM - Tushar Bhingare
- File Screenshot from 2024-02-21 18-14-25.png added

use Kibana Console to insert and retrieve data into the elastic search index.
write a straightforward Go language program that stores logs from log.json in an elastic search database.

#4 - 22/02/2024 06:31 PM - Tushar Bhingare
In order to add log data into Elastic Search, | have developed a CLI program. It accepts a file as input and adds the log to the elastic search index

inside the file.

#5 - 23/02/2024 06:46 PM - Tushar Bhingare

began writing the show_activitylog() api call. obtaining all the data inside the indexes and figuring out how to include a filter query in it

#6 - 26/02/2024 11:58 PM - Tushar Bhingare
- % Done changed from 0 to 10

looking for ways to filter documents (log entries) based on optional or mandatory fields

#7 - 27/02/2024 07:16 PM - Tushar Bhingare
- Estimated time deleted (4.00 h)

worked on various methods of utilizing typeapi and esapi to filter data with optional fields.

#8 - 28/02/2024 10:26 PM - Tushar Bhingare

Apply pagination and use a filter to search the data. changes logharbour index data fields to nested

#9 - 01/03/2024 05:29 PM - Shuvam Misra
- Target version changed from Sprint 29 Feb to Sprint 15 Mar
#10 - 01/03/2024 05:58 PM - Shuvam Misra

- Follows Task #18066: Go lib: GetLogs() added

- Start date set to 18/03/2024

- Due date set to 18/03/2024

#11 - 01/03/2024 07:22 PM - Tushar Bhingare

added query to obtain logs for the number of days starting from the present

added fields for both new and old data in the index fields.

#12 - 04/03/2024 11:15 AM - Tushar Bhingare
- % Done changed from 10 to 30

- Status changed from In Progress to On Hold

putting the status on hold to begin working on the getlogs() function

#13 - 07/03/2024 07:10 PM - Tushar Bhingare
- % Done changed from 30 to 40

- Status changed from On Hold to In Progress

Rearrange show_activitylog() and use the getLogs function to retrieve records from elastic search.

#14 - 08/03/2024 06:03 PM - Shuvam Misra

- Status changed from In Progress to Testing

#15 - 11/03/2024 07:03 PM - Tushar Bhingare
- % Done changed from 40 to 90

write unit testing for standard and custom validations

#16 - 12/03/2024 01:10 PM - Tushar Bhingare
- % Done changed from 90 to 100

- Status changed from Testing to Closed
